.hero {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.photo-container {
    position: relative;
    height: 90vh;
    aspect-ratio: 3 / 4;
}

.boss-photo {
    height: 100%;
    width: auto;
    display: block;
}

.question {
    position: absolute;
    left: 75%;
    top: 6%;
    transform: translate(-50%, -50%);
    background: rgba(255,255,255,0.85);
    padding: 0.7% 1.0%;
    border-radius: 5px;
    font-size: clamp(16px, 1vw, 24px);
    width: 50%;
    text-align: center;
}

.btn-da {
    position: absolute;
    left: 85%;
    top: 12%;
    transform: translateX(-50%);
    font-size: clamp(16px, 1vw, 24px);
}

.btn-nu {
    position: absolute;
    left: 75%;
    top: 65%;
    font-size: clamp(16px, 1vw, 24px);
}

@media (max-width: 768px) {
    .photo-container {
        width: 95vw;
        height: auto;
    }

    .boss-photo {
        width: 100%;
        height: auto;
    }

    .question {
        left: 73%;
        top: 7%;
        width: 55%;
        font-size: 16px;
        padding: 6px 10px;
    }

    .btn-da {
        font-size: 18px;
        padding: 8px 14px;
    }

    .btn-nu {
        font-size: 18px;
        padding: 8px 14px;
    }
}

.status-box {
    position: absolute;
    left: 50%;
    top: 75%;
    transform: translateX(-50%);
    background: rgba(255,255,255,0.85);
    padding: 10px 15px;
    border-radius: 8px;
    text-align: center;
    font-size: clamp(14px, 1vw, 20px);
}

.back-button {
    position: absolute;
    left: 50%;
    top: 88%;
    transform: translateX(-50%);
}